Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1582909 - lifeograph: FTBFS in Fedora 28
Summary: lifeograph: FTBFS in Fedora 28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lifeograph
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-05-27 18:11 UTC by Fedora Release Engineering
Modified: 2019-01-23 02:28 UTC (History)
1 user (show)

Fixed In Version: lifeograph-1.5.0-1.fc28 lifeograph-1.5.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 01:45:48 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log (deleted)
2018-05-27 18:11 UTC, Fedora Release Engineering
no flags Details
build.log (deleted)
2018-05-27 18:11 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-27 18:11 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1776032 0 None None None 2018-06-09 21:19:39 UTC

Description Fedora Release Engineering 2018-05-27 18:11:04 UTC
lifeograph failed to build from source in Fedora 28

https://koji.fedoraproject.org/koji/taskinfo?taskID=27206563

For details on the mass rebuild see:
https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Please fix lifeograph at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
lifeograph will be orphaned. Before branching of Fedora 29,
lifeograph will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2018-05-27 18:11:15 UTC
Created attachment 1442525 [details]
root.log

Comment 2 Fedora Release Engineering 2018-05-27 18:11:23 UTC
Created attachment 1442526 [details]
build.log

Comment 3 Fedora Release Engineering 2018-05-27 18:11:28 UTC
Created attachment 1442527 [details]
state.log

Comment 4 Ankur Sinha (FranciscoD) 2018-06-09 21:19:39 UTC
Filed upstream. It's a GCC 8 related issue.

Comment 5 Ankur Sinha (FranciscoD) 2018-07-26 01:08:26 UTC
Upstream has pushed a fix, but not made a release yet. Waiting on that.

Comment 6 Fedora Update System 2019-01-14 10:52:52 UTC
lifeograph-1.5.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-54a4691b66

Comment 7 Fedora Update System 2019-01-14 10:52:55 UTC
lifeograph-1.5.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2afa69f221

Comment 8 Fedora Update System 2019-01-15 02:23:28 UTC
lifeograph-1.5.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2afa69f221

Comment 9 Fedora Update System 2019-01-15 03:30:31 UTC
lifeograph-1.5.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-54a4691b66

Comment 10 Fedora Update System 2019-01-23 01:45:48 UTC
lifeograph-1.5.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-01-23 02:28:00 UTC
lifeograph-1.5.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.